%define distname sshfs-fuse

Name: fuse-sshfs
Version: 1.1
Release: alt2.1

Summary: SSH filesystem using FUSE
Group: System/Kernel and hardware
License: GPL
Url: http://fuse.sourceforge.net/sshfs.html

Source0: http://dl.sourceforge.net/sourceforge/fuse/%distname-%version.tar.gz

# Automatically added by buildreq on Fri Apr 15 2005
BuildRequires: glib2-devel hostinfo libfuse-devel pkgconfig

%(echo Requires: `rpmquery --queryformat "%{NAME} = %{VERSION}" fuse`)

Provides: sshfs-fuse
Obsoletes: sshfs-fuse

%description
This is a filesystem client based on the SSH File Transfer Protocol. Since most
SSH servers already support this protocol it is very easy to set up: i.e. on
the server side there's nothing to do. On the client side mounting the 
filesystem is as easy as logging into the server with ssh.

The idea of sshfs was taken from the SSHFS filesystem distributed with LUFS,
which sshfs-fuse's author found very useful. There were some limitations of
that codebase, so he rewrote it. Features of this implementation are:

* Based on FUSE (the best userspace filesystem framework for linux ;-)
* Multithreading: more than one request can be on it's way to the server
* Allowing large reads (max 64k)
* Caching directory contents

%prep
%setup -q -n %distname-%version

%build
%configure
%make

%install
%makeinstall

%files
%doc AUTHORS COPYING ChangeLog NEWS README

%_bindir/*

%changelog
* Tue Jun 07 2005 Andrei Bulava <abulava@altlinux.ru> 1.1-alt2.1
- rebuilt with fuse-2.3

* Fri Apr 29 2005 Andrei Bulava <abulava@altlinux.ru> 1.1-alt2
- renamed to fuse-sshfs (#6588)
- added dependency on fuse-<version> to track lame ABI changes of libfuse
  (#6599, see also #6588)

* Mon Apr 18 2005 Andrei Bulava <abulava@altlinux.ru> 1.1-alt1
- initial build for ALT Linux

